var setupCloseObserver = () => {
    const callback = (mutationList, observer) => {
        for (const mutation of mutationList) {
            if (mutation.removedNodes[0].id.includes("cp-scrollable")) {
                //console.log("body is empty")
                observer.disconnect()
                webkit.messageHandlers.bridge.postMessage("close")
            }
        }
    }
    const body = document.getElementsByTagName("body")[0]
    const config = { attributes: false, childList: true, subtree: true }
    const observer = new MutationObserver(callback)
    observer.observe(body, config);
}
var requestPayment = (param) => {
    var widget = new cp.CloudPayments({
        language: param.locale
    })
    widget.pay("charge",
    {
        publicId: param.publicId,
        description: "Lizard Pro",
        amount: param.amount,
        currency: param.currency,
        email: param.email,
        invoiceId: param.invoiceId,
        skin: param.skin,
        autoClose: param.autoClose,
        requireEmail: true
    }, {
        onSuccess: function(options) {
        },
        onFail: function(reason, options) {
        },
        onComplete: function(paymentResult, options) {
            //console.log(paymentResult)
            webkit.messageHandlers.bridge.postMessage({ "result": paymentResult, "info": options })
        }
    })
}
